Subject: Re: bug#34427: [email-masked] segfault?

From: Efraim Flashner <[email-masked]>
Date: Tue, 18 Oct 2022 16:22:27 +0000

We've moved the bootstrap guile to 3.0 for riscv64 and haven't seen any problems. I think we can just close this one and we'll revisit it if someone else decides to use guile-2.2 for a bootstrap guile and runs into this issue.

On October 18, 2022 4:14:32 PM UTC, zimoun <[email-masked]> wrote:
>Hi,
>
>It is about this old report #34427x [1].
>
>1: <http://issues.guix.gnu.org/issue/34427>
>
>On Thu, 23 Jun 2022 at 10:17, zimoun <[email-masked]> wrote:
>> On Fri, 15 Apr 2022 at 09:45, Ludovic Courtès <[email-masked]> wrote:
>>
>>>>> The problem has to do specifically with powerpc-linux-gnu (this is with
>>>>> transparent emulation via QEMU+binfmt_misc):
>>>>>
>>>>> --8<---------------cut here---------------start------------->8---
>>>>> $ unshare -mrf chroot $(guix build guile-static-stripped --target=powerpc-linux-gnu) /bin/guile
>>>>> guile: warning: failed to install locale
>>>>> GC Warning: pthread_getattr_np or pthread_attr_getstack failed for main thread
>>>>> GC Warning: Couldn't read /proc/stat
>>>>> Pre-boot error; key: wrong-type-arg, args: (#f "Wrong type to apply: ~S"
>>>>> (#f) (#f))qemu: uncaught target signal 6 (Aborted) - core dumped
>>>>> Aborted
>>>>> --8<---------------cut here---------------end--------------->8---
>>>>>
>>>>> Unfortunately I fail to get a backtrace from that core dump.
>>>>>
>>>>> Efraim, could you get a backtrace on the bare metal?
>>>
>>> Sorry I wasn’t clear; could you get a backtrace from GDB, as in:
>>>
>>>   …/bin/guile
>>>   # segfault
>>>   gdb …/bin/guile core
>>>
>>> and then at the GDB prompt:
>>>
>>>   bt
>
>What is the status?  Since a release is maybe coming, it could be the
>opportunity to tackle it… or not. :-)
>
>Cheers,
>simon

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.